#ifndef __2DPoint__
#define __2DPoint__

#include "Element.h"
#include <iostream>
#include <string>

class Point2D : public Element
{
	protected:
		double x;
		double y;
		double z;
		double ry;
		double vx;
		double vy;

	public:

		Point2D();
		Point2D( double _x, double _y, double _z );
		Point2D( double _x, double _y, double _z, double _zy, double _vx, double _vy );

		inline double getX() const;
		inline double getY() const;
		inline double getZ() const;
		inline double getRY() const;
		inline double getVX() const;
		inline double getVY() const;

		inline void   setX( double );
		inline void   setY( double );
		inline void   setZ( double );
		inline void   setRY( double );
		inline void   setVX( double );
		inline void   setVY( double );


		virtual void draw(){}
		virtual void refresh( long temp );
		virtual void collision( Point2D * ){}
};

Point2D::Point2D() : Element()
{
		x	= 0;
		y	= 0;
		ry	= 0;
		vx	= 0;
		vy	= 0;
}

Point2D::Point2D( double _x, double _y, double _z ) : Element()
{
		x	= _x;
		y	= _y;
		z	= _z;
		ry	= 0;
		vx	= 0;
		vy	= 0;
}

Point2D::Point2D( double _x, double _y, double _z,  double _ry, double _vx, double _vy ) : Element()
{
		x	= _x;
		y	= _y;
		z	= _z;
		ry	= _ry;
		vx	= _vx;
		vy	= _vy;
}

double Point2D::getX() const
{
	return x;
}

double Point2D::getY() const
{
	return y;
}

double Point2D::getZ() const
{
	return z;
}

double Point2D::getRY() const
{
	return ry;
}

double Point2D::getVX() const
{
	return vx;
}

double Point2D::getVY() const
{
	return vy;
}


void   Point2D::setX( double _x )
{
	x = _x;
}

void   Point2D::setY( double _y )
{
	y = _y;
}

void   Point2D::setZ( double _z )
{
	z = _z;
}

void   Point2D::setRY( double _ry )
{
	ry = _ry;
}

void   Point2D::setVX( double _vx )
{
	vx = _vx;
}

void   Point2D::setVY( double _vy )
{
	vy = _vy;
}


void Point2D::refresh( long temp )
{
	x += vx*temp/500.0;
	y += vy*temp/500.0;
}

#endif