#ifndef __3DPoint__
#define __3DPoint__

#include "Point2D.h"

class Point3D : public Point2D
{
	protected:
		double rx;
		double rz;
		double vz;

	public:

		Point3D();
		Point3D( double _x, double _y, double _z );
		Point3D( double _x, double _y, double _z, double _rx, double _zy, double _rz, double _vx, double _vy, double _vz );

		inline double getRX() const;
		inline double getRZ() const;
		inline double getVZ() const;

		inline void   setRX( double );
		inline void   setRZ( double );
		inline void   setVZ( double );

		virtual void refresh( long temp );
};

Point3D::Point3D() : Point2D()
{
		rx	= 0;
		rz	= 0;
		vz	= 0;
}

Point3D::Point3D( double _x, double _y, double _z ) : Point2D(_x,_y,_z)
{
		rx	= 0;
		rz	= 0;
		vz	= 0;
}

Point3D::Point3D( double _x, double _y, double _z, double _rx, double _ry, double _rz, double _vx, double _vy, double _vz ) : Point2D(_x,_y,_z,_ry,_vx,_vy)
{
		rx	= _rx;
		rz	= _rz;
		vz	= _vz;
}

double Point3D::getRX() const
{
	return rx;
}

double Point3D::getRZ() const
{
	return rz;
}

double Point3D::getVZ() const
{
	return vz;
}


void   Point3D::setRX( double _rx )
{
	rx = _rx;
}

void   Point3D::setRZ( double _rz )
{
	rz = _rz;
}

void   Point3D::setVZ( double _vz )
{
	vz = _vz;
}


void Point3D::refresh( long temp )
{
	Point2D::refresh(temp);

	z += vz*temp/500.0;
}

#endif