#ifndef __MENUABOUT__
#define __MENUABOUT__

#include "Menu.h"

#define MENUABOUT_BACK				1
#define MENUABOUT_SMALLFONT_HEIGHT	1280*25

/**
 * Menu
 *
 * BAUDOUX Jrme - TIXIER Benot
 */
class MenuAbout : public Menu
{
	protected:
		std::string smallFont;

	public:
		MenuAbout();
		~MenuAbout();
		virtual void draw();

	protected:
};

/**
 * Constructor
 */
MenuAbout::MenuAbout() : Menu()
{
	nbElements	= 1;
	elements	= new std::string[nbElements];
	elements[0] = "Back";
	name		= "About";

	smallFont	= "smallFont";
	text->addFont(smallFont ,"Arial", (int)(op->getScreenWidth()/1280.0*25) ,0,false,FW_NORMAL);
}

/**
 * Destructor
 */
MenuAbout::~MenuAbout()
{

}

void MenuAbout::draw()
{
	Menu::draw();

	std::string about = "Ce jeu a t ralis par Jrme Baudoux et Benot Tixier.Il a t dvelopp\ndans le cadre de notre formation Master STIC  l'universit de Reims pour\nle cours de Programation Multimdia.\n\nThis game has been made by Baudoux Jrme and Tixier Benit during our\nformation at the univerity of Reims.\n\nFor more informations please visit : http://www.jerome-baudoux.com";

	text->drawText(	smallFont,
					about, 
					(int)(op->getScreenWidth() /2 - op->getScreenWidth() /3.5) ,
					(int)(op->getScreenHeight()/3 + op->getScreenHeight()/MENU_SIZE_FONT*1.2) , 
					(int)(op->getScreenWidth() /2 + op->getScreenWidth() /3.5) ,
					(int)(op->getScreenHeight()*3/4),
					255,255,255,255, 
					DT_LEFT | DT_TOP );
}

#endif
